# Shoptet

## Step 1: Preparation

To be able to download orders from your e-shop and analyse them, you will have to **create an XML export of your orders**. After you do that, you can **connect the static XML URL to our connector.**

To get the UR&#x4C;**, login to Shoptet,** click on **"Objednávky"** and then on **"Export"**

![](/files/-MiI4OFvwuLh20CNVFOK)

On the export page, click on **"Vytvořit vlastní typ exportu"**

![](/files/-MhnT_5Ngrvk6IbvXWoG)

and **configure the export as seen in the above picture, on the right.**&#x20;

The initial settings of the export is quite detailed, so let's split it into two parts - settings of the **Order States** and **configuring the XML.**&#x20;

### **Order States**

‌During the setup process; only check the “Možnosti” check box. Leave “Kód dopravy” and “Stav objednávky” unchecked. This will ensure that the export will contain all the necessary information.

![](/files/-MiI52omv-w8sm1fm7gD)

### Configuring the XML

The XML only needs to have some required columns for our connector to work, but to avoid any issues, we advise our clients to copy and paste all the following tags into "**Tělo** **XML"**:

```
<ORDER packageNumber="#packageNumber#">
	<ORDER_ID>#id#</ORDER_ID>
	<CODE>#code#</CODE>
	<DATE>#date#</DATE>
	<STATUS>#statusName#</STATUS>
	<CURRENCY>
		<CODE>#currencyCode#</CODE>
		<EXCHANGE_RATE>#currencyExchangeRate#</EXCHANGE_RATE>
	</CURRENCY>
	<CUSTOMER>
		<EMAIL>#email#</EMAIL>
		<PHONE>#phone#</PHONE>
		<BILLING_ADDRESS>
			<NAME>#billFullName#</NAME>
			<COMPANY>#billCompany#</COMPANY>
			<STREET>#billStreet#</STREET>
			<HOUSENUMBER>#billHouseNumber#</HOUSENUMBER>
			<CITY>#billCity#</CITY>
			<ZIP>#billZip#</ZIP>
			<COUNTRY>#billCountryName#</COUNTRY>
			<COMPANY_ID>#billCompanyId#</COMPANY_ID>
			<VAT_ID>#billVatId#</VAT_ID>
			<CUSTOMER_IDENTIFICATION_NUMBER>#customerIdentificationNumber#</CUSTOMER_IDENTIFICATION_NUMBER>
		</BILLING_ADDRESS>
		<SHIPPING_ADDRESS>
			<NAME>#deliveryFullName#</NAME>
			<COMPANY>#deliveryCompany#</COMPANY>
			<STREET>#deliveryStreet#</STREET>
			<HOUSENUMBER>#deliveryHouseNumber#</HOUSENUMBER>
			<CITY>#deliveryCity#</CITY>
			<ZIP>#deliveryZip#</ZIP>
			<COUNTRY>#deliveryCountryName#</COUNTRY>
		</SHIPPING_ADDRESS>
		<IP_ADDRESS>#customerIpAddress#</IP_ADDRESS>
	</CUSTOMER>
	<REMARK>#remark#</REMARK>
	<SHOP_REMARK>#shopRemark#</SHOP_REMARK>
	<REFERER><![CDATA[#referer#]]></REFERER>
	<PACKAGE_NUMBER>#packageNumber#</PACKAGE_NUMBER>
	<VARCHAR1>#varchar1#</VARCHAR1>
	<VARCHAR2>#varchar2#</VARCHAR2>
	<VARCHAR3>#varchar3#</VARCHAR3>
	<TEXT1>#text1#</TEXT1>
	<TEXT2>#text2#</TEXT2>
	<TEXT3>#text3#</TEXT3>
	<WEIGHT>#weight#</WEIGHT>
	<TOTAL_PRICE>
		<WITH_VAT>#totalPriceWithVat#</WITH_VAT>
		<WITHOUT_VAT>#totalPriceWithoutVat#</WITHOUT_VAT>
		<VAT>#totalPriceVat#</VAT>
		<ROUNDING>#totalPriceRounding#</ROUNDING>
		<PRICE_TO_PAY>#totalPriceToPay#</PRICE_TO_PAY>
		<PAID>#paid#</PAID>
                <PURCHACE_PRICE>#orderPurchasePrice#</PURCHACE_PRICE>
	</TOTAL_PRICE>
        <SHOP>
            <projectContactMerchantName>#projectContactMerchantName#</projectContactMerchantName>
            <projectOwnerIdentificationNumber>#projectOwnerIdentificationNumber#</projectOwnerIdentificationNumber>
            <projectOwnerCompanyOrFullName>#projectOwnerCompanyOrFullName#</projectOwnerCompanyOrFullName>
            <projectOwnerCin>#projectOwnerCin#</projectOwnerCin>
            <projectOwnerTin>#projectOwnerTin#</projectOwnerTin>
        </SHOP>

</ORDER>
```

and these to "**Tělo XML pro položky objednávky**":

```
<ITEM>
	<TYPE>#orderItemType#</TYPE>
	<NAME>#orderItemName#</NAME>
	<AMOUNT>#orderItemAmount#</AMOUNT>
	<CODE>#orderItemCode#</CODE>
	<VARIANT_NAME>#orderItemVariantName#</VARIANT_NAME>
	<MANUFACTURER>#orderItemManufacturer#</MANUFACTURER>
	<UNIT>#orderItemUnit#</UNIT>
	<WEIGHT>#orderItemWeight#</WEIGHT>
	<STATUS>#orderItemStatusName#</STATUS>
	<DISCOUNT>#orderItemDiscountPercent#</DISCOUNT>
	<UNIT_PRICE>
		<WITH_VAT>#orderItemUnitPriceWithVat#</WITH_VAT>
		<WITHOUT_VAT>#orderItemUnitPriceWithoutVat#</WITHOUT_VAT>
		<VAT>#orderItemUnitPriceVat#</VAT>
		<VAT_RATE>#orderItemUnitPriceVatRate#</VAT_RATE>
	</UNIT_PRICE>
	<TOTAL_PRICE>
		<WITH_VAT>#orderItemTotalPriceWithVat#</WITH_VAT>
		<WITHOUT_VAT>#orderItemTotalPriceWithoutVat#</WITHOUT_VAT>
		<VAT>#orderItemTotalPriceVat#</VAT>
		<VAT_RATE>#orderItemTotalPriceVatRate#</VAT_RATE>
	</TOTAL_PRICE>
</ITEM>
```

This is how your the settings of the XML look like.

![](/files/MRxTWGyH4sXUScnHFRWz)

This prevents you from encountering some unnecessary bugs and errors. After this, its almost time to save the export and continue with authorizing the connector in ROIVENUE.

To get the URL, go to the export page again, select the correct export(by checking the radio button in the list) and you will see it down at the bottom.&#x20;

![](/files/-MiI5wlh_V3eSjVthE0V)

## Step 2: Authorization of the ROIVENUE connector

Now we have everything ready to finish the authorization. Go to ROIVENUE connectors, choose the Shoptet platform and copy-paste the URL to the input field.

![](/files/-MivZg4k29pgXCejOeCV)

## Step 3: See the data!

After this step, continue with the rest of the setup process. Once finished, the connector will be downloading your data every day, first thing in the morning. &#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.roivenue.com/roivenue-resources/roivenue-connectors/special-authorization-procees/shoptet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
